source: git/factory/libfac/configure @ dccceb

spielwiese
Last change on this file since dccceb was dccceb, checked in by Oleksandr Motsak <motsak@…>, 12 years ago
moved libfac under factory/ CHG: moved libfac/ under factory/ Note: starting to merge libfac into factory (as a private library)
  • Property mode set to 100755
File size: 43.4 KB
RevLine 
[1a80b4]1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
[104fd23]4# Generated automatically using autoconf version 2.13
[1a80b4]5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --with-debug    build with debugging options turned on"
[be1d41]16ac_help="$ac_help
17  --with-NOSTREAMIO : do not require iostream include nor library"
[1a80b4]18
19# Initialize some variables set by options.
20# The variables have the same names as the options, with
21# dashes changed to underlines.
22build=NONE
23cache_file=./config.cache
24exec_prefix=NONE
25host=NONE
26no_create=
27nonopt=NONE
28no_recursion=
29prefix=NONE
30program_prefix=NONE
31program_suffix=NONE
32program_transform_name=s,x,x,
33silent=
34site=
35srcdir=
36target=NONE
37verbose=
38x_includes=NONE
39x_libraries=NONE
40bindir='${exec_prefix}/bin'
41sbindir='${exec_prefix}/sbin'
42libexecdir='${exec_prefix}/libexec'
43datadir='${prefix}/share'
44sysconfdir='${prefix}/etc'
45sharedstatedir='${prefix}/com'
46localstatedir='${prefix}/var'
47libdir='${exec_prefix}/lib'
48includedir='${prefix}/include'
49oldincludedir='/usr/include'
50infodir='${prefix}/info'
51mandir='${prefix}/man'
52
53# Initialize some other variables.
54subdirs=
55MFLAGS= MAKEFLAGS=
[104fd23]56SHELL=${CONFIG_SHELL-/bin/sh}
57# Maximum number of lines to put in a shell here document.
58ac_max_here_lines=12
[1a80b4]59
60ac_prev=
61for ac_option
62do
63
64  # If the previous option needs an argument, assign it.
65  if test -n "$ac_prev"; then
66    eval "$ac_prev=\$ac_option"
67    ac_prev=
68    continue
69  fi
70
71  case "$ac_option" in
72  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
73  *) ac_optarg= ;;
74  esac
75
76  # Accept the important Cygnus configure options, so we can diagnose typos.
77
78  case "$ac_option" in
79
80  -bindir | --bindir | --bindi | --bind | --bin | --bi)
81    ac_prev=bindir ;;
82  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
83    bindir="$ac_optarg" ;;
84
85  -build | --build | --buil | --bui | --bu)
86    ac_prev=build ;;
87  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
88    build="$ac_optarg" ;;
89
90  -cache-file | --cache-file | --cache-fil | --cache-fi \
91  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
92    ac_prev=cache_file ;;
93  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
94  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
95    cache_file="$ac_optarg" ;;
96
97  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
98    ac_prev=datadir ;;
99  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
100  | --da=*)
101    datadir="$ac_optarg" ;;
102
103  -disable-* | --disable-*)
104    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
105    # Reject names that are not valid shell variable names.
106    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
107      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
108    fi
109    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
110    eval "enable_${ac_feature}=no" ;;
111
112  -enable-* | --enable-*)
113    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
114    # Reject names that are not valid shell variable names.
115    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
116      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
117    fi
118    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
119    case "$ac_option" in
120      *=*) ;;
121      *) ac_optarg=yes ;;
122    esac
123    eval "enable_${ac_feature}='$ac_optarg'" ;;
124
125  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
126  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
127  | --exec | --exe | --ex)
128    ac_prev=exec_prefix ;;
129  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
130  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
131  | --exec=* | --exe=* | --ex=*)
132    exec_prefix="$ac_optarg" ;;
133
134  -gas | --gas | --ga | --g)
135    # Obsolete; use --with-gas.
136    with_gas=yes ;;
137
138  -help | --help | --hel | --he)
139    # Omit some internal or obsolete options to make the list less imposing.
140    # This message is too long to be a string in the A/UX 3.1 sh.
141    cat << EOF
142Usage: configure [options] [host]
143Options: [defaults in brackets after descriptions]
144Configuration:
145  --cache-file=FILE       cache test results in FILE
146  --help                  print this message
147  --no-create             do not create output files
148  --quiet, --silent       do not print \`checking...' messages
149  --version               print the version of autoconf that created configure
150Directory and file names:
151  --prefix=PREFIX         install architecture-independent files in PREFIX
152                          [$ac_default_prefix]
153  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
154                          [same as prefix]
155  --bindir=DIR            user executables in DIR [EPREFIX/bin]
156  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
157  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
158  --datadir=DIR           read-only architecture-independent data in DIR
159                          [PREFIX/share]
160  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
161  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
162                          [PREFIX/com]
163  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
164  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
165  --includedir=DIR        C header files in DIR [PREFIX/include]
166  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
167  --infodir=DIR           info documentation in DIR [PREFIX/info]
168  --mandir=DIR            man documentation in DIR [PREFIX/man]
169  --srcdir=DIR            find the sources in DIR [configure dir or ..]
170  --program-prefix=PREFIX prepend PREFIX to installed program names
171  --program-suffix=SUFFIX append SUFFIX to installed program names
172  --program-transform-name=PROGRAM
173                          run sed PROGRAM on installed program names
174EOF
175    cat << EOF
176Host type:
177  --build=BUILD           configure for building on BUILD [BUILD=HOST]
178  --host=HOST             configure for HOST [guessed]
179  --target=TARGET         configure for TARGET [TARGET=HOST]
180Features and packages:
181  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
182  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
183  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
184  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
185  --x-includes=DIR        X include files are in DIR
186  --x-libraries=DIR       X library files are in DIR
187EOF
188    if test -n "$ac_help"; then
189      echo "--enable and --with options recognized:$ac_help"
190    fi
191    exit 0 ;;
192
193  -host | --host | --hos | --ho)
194    ac_prev=host ;;
195  -host=* | --host=* | --hos=* | --ho=*)
196    host="$ac_optarg" ;;
197
198  -includedir | --includedir | --includedi | --included | --include \
199  | --includ | --inclu | --incl | --inc)
200    ac_prev=includedir ;;
201  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
202  | --includ=* | --inclu=* | --incl=* | --inc=*)
203    includedir="$ac_optarg" ;;
204
205  -infodir | --infodir | --infodi | --infod | --info | --inf)
206    ac_prev=infodir ;;
207  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
208    infodir="$ac_optarg" ;;
209
210  -libdir | --libdir | --libdi | --libd)
211    ac_prev=libdir ;;
212  -libdir=* | --libdir=* | --libdi=* | --libd=*)
213    libdir="$ac_optarg" ;;
214
215  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
216  | --libexe | --libex | --libe)
217    ac_prev=libexecdir ;;
218  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
219  | --libexe=* | --libex=* | --libe=*)
220    libexecdir="$ac_optarg" ;;
221
222  -localstatedir | --localstatedir | --localstatedi | --localstated \
223  | --localstate | --localstat | --localsta | --localst \
224  | --locals | --local | --loca | --loc | --lo)
225    ac_prev=localstatedir ;;
226  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
227  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
228  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
229    localstatedir="$ac_optarg" ;;
230
231  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
232    ac_prev=mandir ;;
233  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
234    mandir="$ac_optarg" ;;
235
236  -nfp | --nfp | --nf)
237    # Obsolete; use --without-fp.
238    with_fp=no ;;
239
240  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
241  | --no-cr | --no-c)
242    no_create=yes ;;
243
244  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
245  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
246    no_recursion=yes ;;
247
248  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
249  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
250  | --oldin | --oldi | --old | --ol | --o)
251    ac_prev=oldincludedir ;;
252  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
253  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
254  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
255    oldincludedir="$ac_optarg" ;;
256
257  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
258    ac_prev=prefix ;;
259  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
260    prefix="$ac_optarg" ;;
261
262  -program-prefix | --program-prefix | --program-prefi | --program-pref \
263  | --program-pre | --program-pr | --program-p)
264    ac_prev=program_prefix ;;
265  -program-prefix=* | --program-prefix=* | --program-prefi=* \
266  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
267    program_prefix="$ac_optarg" ;;
268
269  -program-suffix | --program-suffix | --program-suffi | --program-suff \
270  | --program-suf | --program-su | --program-s)
271    ac_prev=program_suffix ;;
272  -program-suffix=* | --program-suffix=* | --program-suffi=* \
273  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
274    program_suffix="$ac_optarg" ;;
275
276  -program-transform-name | --program-transform-name \
277  | --program-transform-nam | --program-transform-na \
278  | --program-transform-n | --program-transform- \
279  | --program-transform | --program-transfor \
280  | --program-transfo | --program-transf \
281  | --program-trans | --program-tran \
282  | --progr-tra | --program-tr | --program-t)
283    ac_prev=program_transform_name ;;
284  -program-transform-name=* | --program-transform-name=* \
285  | --program-transform-nam=* | --program-transform-na=* \
286  | --program-transform-n=* | --program-transform-=* \
287  | --program-transform=* | --program-transfor=* \
288  | --program-transfo=* | --program-transf=* \
289  | --program-trans=* | --program-tran=* \
290  | --progr-tra=* | --program-tr=* | --program-t=*)
291    program_transform_name="$ac_optarg" ;;
292
293  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
294  | -silent | --silent | --silen | --sile | --sil)
295    silent=yes ;;
296
297  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
298    ac_prev=sbindir ;;
299  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
300  | --sbi=* | --sb=*)
301    sbindir="$ac_optarg" ;;
302
303  -sharedstatedir | --sharedstatedir | --sharedstatedi \
304  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
305  | --sharedst | --shareds | --shared | --share | --shar \
306  | --sha | --sh)
307    ac_prev=sharedstatedir ;;
308  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
309  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
310  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
311  | --sha=* | --sh=*)
312    sharedstatedir="$ac_optarg" ;;
313
314  -site | --site | --sit)
315    ac_prev=site ;;
316  -site=* | --site=* | --sit=*)
317    site="$ac_optarg" ;;
318
319  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
320    ac_prev=srcdir ;;
321  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
322    srcdir="$ac_optarg" ;;
323
324  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
325  | --syscon | --sysco | --sysc | --sys | --sy)
326    ac_prev=sysconfdir ;;
327  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
328  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
329    sysconfdir="$ac_optarg" ;;
330
331  -target | --target | --targe | --targ | --tar | --ta | --t)
332    ac_prev=target ;;
333  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
334    target="$ac_optarg" ;;
335
336  -v | -verbose | --verbose | --verbos | --verbo | --verb)
337    verbose=yes ;;
338
339  -version | --version | --versio | --versi | --vers)
[104fd23]340    echo "configure generated by autoconf version 2.13"
[1a80b4]341    exit 0 ;;
342
343  -with-* | --with-*)
344    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
345    # Reject names that are not valid shell variable names.
346    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
347      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
348    fi
349    ac_package=`echo $ac_package| sed 's/-/_/g'`
350    case "$ac_option" in
351      *=*) ;;
352      *) ac_optarg=yes ;;
353    esac
354    eval "with_${ac_package}='$ac_optarg'" ;;
355
356  -without-* | --without-*)
357    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
358    # Reject names that are not valid shell variable names.
359    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
360      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
361    fi
362    ac_package=`echo $ac_package| sed 's/-/_/g'`
363    eval "with_${ac_package}=no" ;;
364
365  --x)
366    # Obsolete; use --with-x.
367    with_x=yes ;;
368
369  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
370  | --x-incl | --x-inc | --x-in | --x-i)
371    ac_prev=x_includes ;;
372  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
373  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
374    x_includes="$ac_optarg" ;;
375
376  -x-libraries | --x-libraries | --x-librarie | --x-librari \
377  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
378    ac_prev=x_libraries ;;
379  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
380  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
381    x_libraries="$ac_optarg" ;;
382
383  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
384    ;;
385
386  *)
387    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
388      echo "configure: warning: $ac_option: invalid host type" 1>&2
389    fi
390    if test "x$nonopt" != xNONE; then
391      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
392    fi
393    nonopt="$ac_option"
394    ;;
395
396  esac
397done
398
399if test -n "$ac_prev"; then
400  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
401fi
402
403trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
404
405# File descriptor usage:
406# 0 standard input
407# 1 file creation
408# 2 errors and warnings
409# 3 some systems may open it to /dev/tty
410# 4 used on the Kubota Titan
411# 6 checking for... messages and results
412# 5 compiler messages saved in config.log
413if test "$silent" = yes; then
414  exec 6>/dev/null
415else
416  exec 6>&1
417fi
418exec 5>./config.log
419
420echo "\
421This file contains any messages produced by compilers while
422running configure, to aid debugging if configure makes a mistake.
423" 1>&5
424
425# Strip out --no-create and --no-recursion so they do not pile up.
426# Also quote any args containing shell metacharacters.
427ac_configure_args=
428for ac_arg
429do
430  case "$ac_arg" in
431  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
432  | --no-cr | --no-c) ;;
433  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
434  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
435  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
436  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
437  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
438  esac
439done
440
441# NLS nuisances.
[104fd23]442# Only set these to C if already set.  These must not be set unconditionally
443# because not all systems understand e.g. LANG=C (notably SCO).
444# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
445# Non-C LC_CTYPE values break the ctype check.
[1a80b4]446if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
[104fd23]447if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
448if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
449if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
[1a80b4]450
451# confdefs.h avoids OS command line length limits that DEFS can exceed.
452rm -rf conftest* confdefs.h
453# AIX cpp loses on an empty file, so make sure it contains at least a newline.
454echo > confdefs.h
455
456# A filename unique to this package, relative to the directory that
457# configure is in, which we can look for to find out if srcdir is correct.
458ac_unique_file=factor.h
459
460# Find the source files, if location was not specified.
461if test -z "$srcdir"; then
462  ac_srcdir_defaulted=yes
463  # Try the directory containing this script, then its parent.
464  ac_prog=$0
465  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
466  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
467  srcdir=$ac_confdir
468  if test ! -r $srcdir/$ac_unique_file; then
469    srcdir=..
470  fi
471else
472  ac_srcdir_defaulted=no
473fi
474if test ! -r $srcdir/$ac_unique_file; then
475  if test "$ac_srcdir_defaulted" = yes; then
476    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
477  else
478    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
479  fi
480fi
481srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
482
483# Prefer explicitly selected file to automatically selected ones.
484if test -z "$CONFIG_SITE"; then
485  if test "x$prefix" != xNONE; then
486    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
487  else
488    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
489  fi
490fi
491for ac_site_file in $CONFIG_SITE; do
492  if test -r "$ac_site_file"; then
493    echo "loading site script $ac_site_file"
494    . "$ac_site_file"
495  fi
496done
497
498if test -r "$cache_file"; then
499  echo "loading cache $cache_file"
500  . $cache_file
501else
502  echo "creating cache $cache_file"
503  > $cache_file
504fi
505
506ac_ext=c
507# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
508ac_cpp='$CPP $CPPFLAGS'
509ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
[104fd23]510ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
511cross_compiling=$ac_cv_prog_cc_cross
[1a80b4]512
[104fd23]513ac_exeext=
514ac_objext=o
[1a80b4]515if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
516  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
517  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
518    ac_n= ac_c='
519' ac_t='        '
520  else
521    ac_n=-n ac_c= ac_t=
522  fi
523else
524  ac_n= ac_c='\c' ac_t=
525fi
526
527
528
529
[3e55bc]530libfac_name="\"Factorization and characteristic sets library\""
531
[73624c6]532libfac_version="3.1.3"
[980552]533cat >> confdefs.h <<EOF
534#define LIBFAC_VERSION "$libfac_version"
535EOF
536
[3e55bc]537
[73624c6]538libfac_date="\"March 2011\""
[980552]539cat >> confdefs.h <<EOF
540#define LIBFAC_DATE $libfac_date
541EOF
542
[3e55bc]543
544libfac_author="\"M. Messollen\""
545
[1a80b4]546
[980552]547
[1a80b4]548libfac="libfac"
549
550libfac_g="libfac-g"
551
552libsingfac="libsingfac"
553
554libsingfac_g="libsingfac-g"
555
556factorH="factor.h"
557
558
559
560# Check whether --with-debug or --without-debug was given.
561if test "${with_debug+set}" = set; then
562  withval="$with_debug"
563  :
564fi
565
566
[b55c379]567targetname="libsingfac"
[be1d41]568
569# Check whether --with-NOSTREAMIO or --without-NOSTREAMIO was given.
570if test "${with_NOSTREAMIO+set}" = set; then
571  withval="$with_NOSTREAMIO"
572  :
573fi
574
575
576if test "$with_NOSTREAMIO" = yes; then
577  cat >> confdefs.h <<\EOF
578#define NOSTREAMIO 1
579EOF
580
581fi
582
[1a80b4]583if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
584  test "${ac_default_prefix}" != "/usr/local" || \
[c7bbf3]585  test "${includedir}" != '${prefix}/include'; then
[1a80b4]586  CPPFLAGS="-I${includedir} ${CPPFLAGS}"
587fi
588CPPFLAGS="-I./factor ${CPPFLAGS}"
589
590if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
591  test "${ac_default_prefix}" != "/usr/local" || \
[c7bbf3]592  test "${libdir}" != '${prefix}/lib'; then
[1a80b4]593  LDFLAGS="-L${libdir} ${LDFLAGS}"
594fi
595LDFLAGS="-L. ${LDFLAGS}"
596
[4a81ec]597if test "${CXXFLAGS+set}" != set; then
598  ac_cxxflags_set=no
599  if test "$with_debug" = yes; then
600    CXXFLAGS="-g"
601  else
602    CXXFLAGS="-O"
603    cat >> confdefs.h <<\EOF
[1a80b4]604#define NDEBUG 1
605EOF
[4a81ec]606
[c7bbf3]607  fi
[1a80b4]608fi
609
610ac_ext=C
611# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
612ac_cpp='$CXXCPP $CPPFLAGS'
613ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
[104fd23]614ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
615cross_compiling=$ac_cv_prog_cxx_cross
[c7bbf3]616
[104fd23]617for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
[1a80b4]618do
619# Extract the first word of "$ac_prog", so it can be a program name with args.
620set dummy $ac_prog; ac_word=$2
621echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
[980552]622echo "configure:668: checking for $ac_word" >&5
[1a80b4]623if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
624  echo $ac_n "(cached) $ac_c" 1>&6
625else
626  if test -n "$CXX"; then
627  ac_cv_prog_CXX="$CXX" # Let the user override the test.
628else
[104fd23]629  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
630  ac_dummy="$PATH"
631  for ac_dir in $ac_dummy; do
[1a80b4]632    test -z "$ac_dir" && ac_dir=.
633    if test -f $ac_dir/$ac_word; then
634      ac_cv_prog_CXX="$ac_prog"
635      break
636    fi
637  done
638  IFS="$ac_save_ifs"
639fi
640fi
641CXX="$ac_cv_prog_CXX"
642if test -n "$CXX"; then
643  echo "$ac_t""$CXX" 1>&6
644else
645  echo "$ac_t""no" 1>&6
646fi
647
648test -n "$CXX" && break
649done
650test -n "$CXX" || CXX="gcc"
651
652
[104fd23]653echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
[980552]654echo "configure:700: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
[104fd23]655
656ac_ext=C
657# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
658ac_cpp='$CXXCPP $CPPFLAGS'
659ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
660ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
661cross_compiling=$ac_cv_prog_cxx_cross
662
663cat > conftest.$ac_ext << EOF
664
[980552]665#line 711 "configure"
[104fd23]666#include "confdefs.h"
667
668int main(){return(0);}
669EOF
[980552]670if { (eval echo configure:716: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
[104fd23]671  ac_cv_prog_cxx_works=yes
672  # If we can't run a trivial program, we are probably using a cross compiler.
673  if (./conftest; exit) 2>/dev/null; then
674    ac_cv_prog_cxx_cross=no
675  else
676    ac_cv_prog_cxx_cross=yes
677  fi
678else
679  echo "configure: failed program was:" >&5
680  cat conftest.$ac_ext >&5
681  ac_cv_prog_cxx_works=no
682fi
683rm -fr conftest*
684ac_ext=C
685# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
686ac_cpp='$CXXCPP $CPPFLAGS'
687ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
688ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
689cross_compiling=$ac_cv_prog_cxx_cross
690
691echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
692if test $ac_cv_prog_cxx_works = no; then
693  { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
694fi
695echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
[980552]696echo "configure:742: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
[104fd23]697echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
698cross_compiling=$ac_cv_prog_cxx_cross
699
[1a80b4]700echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
[980552]701echo "configure:747: checking whether we are using GNU C++" >&5
[1a80b4]702if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
703  echo $ac_n "(cached) $ac_c" 1>&6
704else
705  cat > conftest.C <<EOF
706#ifdef __GNUC__
707  yes;
708#endif
709EOF
[980552]710if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:756: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
[1a80b4]711  ac_cv_prog_gxx=yes
712else
713  ac_cv_prog_gxx=no
714fi
715fi
716
717echo "$ac_t""$ac_cv_prog_gxx" 1>&6
[104fd23]718
[1a80b4]719if test $ac_cv_prog_gxx = yes; then
720  GXX=yes
[104fd23]721else
722  GXX=
723fi
724
725ac_test_CXXFLAGS="${CXXFLAGS+set}"
726ac_save_CXXFLAGS="$CXXFLAGS"
727CXXFLAGS=
728echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
[980552]729echo "configure:775: checking whether ${CXX-g++} accepts -g" >&5
[104fd23]730if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
[1a80b4]731  echo $ac_n "(cached) $ac_c" 1>&6
732else
733  echo 'void f(){}' > conftest.cc
734if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
[104fd23]735  ac_cv_prog_cxx_g=yes
[1a80b4]736else
[104fd23]737  ac_cv_prog_cxx_g=no
[1a80b4]738fi
739rm -f conftest*
740
741fi
742
[104fd23]743echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
744if test "$ac_test_CXXFLAGS" = set; then
745  CXXFLAGS="$ac_save_CXXFLAGS"
746elif test $ac_cv_prog_cxx_g = yes; then
747  if test "$GXX" = yes; then
748    CXXFLAGS="-g -O2"
749  else
750    CXXFLAGS="-g"
[1a80b4]751  fi
752else
[104fd23]753  if test "$GXX" = yes; then
754    CXXFLAGS="-O2"
755  else
756    CXXFLAGS=
757  fi
[1a80b4]758fi
759
760echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
[980552]761echo "configure:807: checking how to run the C++ preprocessor" >&5
[1a80b4]762if test -z "$CXXCPP"; then
763if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
764  echo $ac_n "(cached) $ac_c" 1>&6
765else
766  ac_ext=C
767# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
768ac_cpp='$CXXCPP $CPPFLAGS'
769ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
[104fd23]770ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
771cross_compiling=$ac_cv_prog_cxx_cross
[1a80b4]772  CXXCPP="${CXX-g++} -E"
773  cat > conftest.$ac_ext <<EOF
[980552]774#line 820 "configure"
[1a80b4]775#include "confdefs.h"
776#include <stdlib.h>
777EOF
778ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
[980552]779{ (eval echo configure:825: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
[104fd23]780ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
[1a80b4]781if test -z "$ac_err"; then
782  :
783else
784  echo "$ac_err" >&5
[104fd23]785  echo "configure: failed program was:" >&5
786  cat conftest.$ac_ext >&5
[1a80b4]787  rm -rf conftest*
788  CXXCPP=/lib/cpp
789fi
790rm -f conftest*
791  ac_cv_prog_CXXCPP="$CXXCPP"
[104fd23]792ac_ext=C
793# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
794ac_cpp='$CXXCPP $CPPFLAGS'
795ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
796ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
797cross_compiling=$ac_cv_prog_cxx_cross
[1a80b4]798fi
799fi
800CXXCPP="$ac_cv_prog_CXXCPP"
801echo "$ac_t""$CXXCPP" 1>&6
802
803
804echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
[980552]805echo "configure:851: checking whether ${MAKE-make} sets \${MAKE}" >&5
[104fd23]806set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
[1a80b4]807if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
808  echo $ac_n "(cached) $ac_c" 1>&6
809else
810  cat > conftestmake <<\EOF
811all:
812        @echo 'ac_maketemp="${MAKE}"'
813EOF
814# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
815eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
816if test -n "$ac_maketemp"; then
817  eval ac_cv_prog_make_${ac_make}_set=yes
818else
819  eval ac_cv_prog_make_${ac_make}_set=no
820fi
821rm -f conftestmake
822fi
823if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
824  echo "$ac_t""yes" 1>&6
825  SET_MAKE=
826else
827  echo "$ac_t""no" 1>&6
828  SET_MAKE="MAKE=${MAKE-make}"
829fi
830
831# Extract the first word of "ranlib", so it can be a program name with args.
832set dummy ranlib; ac_word=$2
833echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
[980552]834echo "configure:880: checking for $ac_word" >&5
[1a80b4]835if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
836  echo $ac_n "(cached) $ac_c" 1>&6
837else
838  if test -n "$RANLIB"; then
839  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
840else
[104fd23]841  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
842  ac_dummy="$PATH"
843  for ac_dir in $ac_dummy; do
[1a80b4]844    test -z "$ac_dir" && ac_dir=.
845    if test -f $ac_dir/$ac_word; then
846      ac_cv_prog_RANLIB="ranlib"
847      break
848    fi
849  done
850  IFS="$ac_save_ifs"
851  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
852fi
853fi
854RANLIB="$ac_cv_prog_RANLIB"
855if test -n "$RANLIB"; then
856  echo "$ac_t""$RANLIB" 1>&6
857else
858  echo "$ac_t""no" 1>&6
859fi
860
861# Extract the first word of "ar", so it can be a program name with args.
862set dummy ar; ac_word=$2
863echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
[980552]864echo "configure:910: checking for $ac_word" >&5
[1a80b4]865if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
866  echo $ac_n "(cached) $ac_c" 1>&6
867else
868  if test -n "$AR"; then
869  ac_cv_prog_AR="$AR" # Let the user override the test.
870else
[104fd23]871  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
872  ac_dummy="$PATH"
873  for ac_dir in $ac_dummy; do
[1a80b4]874    test -z "$ac_dir" && ac_dir=.
875    if test -f $ac_dir/$ac_word; then
876      ac_cv_prog_AR="ar"
877      break
878    fi
879  done
880  IFS="$ac_save_ifs"
881fi
882fi
883AR="$ac_cv_prog_AR"
884if test -n "$AR"; then
885  echo "$ac_t""$AR" 1>&6
886else
887  echo "$ac_t""no" 1>&6
888fi
889
890if test -z "$AR"; then
891  { echo "configure: error: Need ar" 1>&2; exit 1; }
892fi
893
[3e55bc]894
[104fd23]895ac_safe=`echo "factory.h" | sed 'y%./+-%__p_%'`
[3e55bc]896echo $ac_n "checking for factory.h""... $ac_c" 1>&6
[980552]897echo "configure:943: checking for factory.h" >&5
[1a80b4]898if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
899  echo $ac_n "(cached) $ac_c" 1>&6
900else
901  cat > conftest.$ac_ext <<EOF
[980552]902#line 948 "configure"
[1a80b4]903#include "confdefs.h"
[3e55bc]904#include <factory.h>
[1a80b4]905EOF
906ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
[980552]907{ (eval echo configure:953: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
[104fd23]908ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
[1a80b4]909if test -z "$ac_err"; then
910  rm -rf conftest*
911  eval "ac_cv_header_$ac_safe=yes"
912else
913  echo "$ac_err" >&5
[104fd23]914  echo "configure: failed program was:" >&5
915  cat conftest.$ac_ext >&5
[1a80b4]916  rm -rf conftest*
917  eval "ac_cv_header_$ac_safe=no"
918fi
919rm -f conftest*
920fi
921if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
922  echo "$ac_t""yes" 1>&6
[3e55bc]923  :
[1a80b4]924else
925  echo "$ac_t""no" 1>&6
[3e55bc]926echo "configure: warning: factory.h not found! Install factory before building libfac!" 1>&2
[1a80b4]927fi
928
929
930
931
[0083eb]932if test x${GXX} = xyes; then
[104fd23]933
[fc7220]934  if test "$ac_cxxflags_set" = no; then
935    if test "$with_debug" = yes; then
936       CXXFLAGS="-O -g"
937    else
938       CXXFLAGS="-O3 "
939    fi
[29bf6a]940# check whether CXX accepts -fno-rtti
[d3ff79]941
942ac_ext=C
943# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
944ac_cpp='$CXXCPP $CPPFLAGS'
945ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
946ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
947cross_compiling=$ac_cv_prog_cxx_cross
948
[29bf6a]949echo $ac_n "checking whether gcc accepts -fno-rtti""... $ac_c" 1>&6
[980552]950echo "configure:996: checking whether gcc accepts -fno-rtti" >&5
[fc7220]951tmp_flags=${CXXFLAGS}
[29bf6a]952CXXFLAGS="${CXXFLAGS} -fno-rtti"
[104fd23]953if eval "test \"`echo '$''{'ac_cv_cxx_have_rtti'+set}'`\" = set"; then
954  echo $ac_n "(cached) $ac_c" 1>&6
955else
956  cat > conftest.$ac_ext <<EOF
[980552]957#line 1003 "configure"
[104fd23]958#include "confdefs.h"
959
960int main() {
961
962; return 0; }
963EOF
[980552]964if { (eval echo configure:1010: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
[104fd23]965  rm -rf conftest*
966  ac_cv_cxx_have_rtti=yes
967else
968  echo "configure: failed program was:" >&5
969  cat conftest.$ac_ext >&5
970  rm -rf conftest*
971  ac_cv_cxx_have_rtti=no
972fi
973rm -f conftest*
974
975fi
976
977echo "$ac_t""${ac_cv_cxx_have_rtti}" 1>&6
[fc7220]978CXXFLAGS=$tmp_flags
979if test "${ac_cv_cxx_have_rtti}" = yes; then
[29bf6a]980CXXFLAGS="$CXXFLAGS -fno-rtti"
[104fd23]981fi
982
[29bf6a]983echo $ac_n "checking whether gcc accepts -fno-exceptions""... $ac_c" 1>&6
[980552]984echo "configure:1030: checking whether gcc accepts -fno-exceptions" >&5
[fc7220]985tmp_flags=${CXXFLAGS}
[29bf6a]986CXXFLAGS="${CXXFLAGS} -fno-exceptions"
[104fd23]987if eval "test \"`echo '$''{'ac_cv_cxx_have_exceptions'+set}'`\" = set"; then
988  echo $ac_n "(cached) $ac_c" 1>&6
989else
990  cat > conftest.$ac_ext <<EOF
[980552]991#line 1037 "configure"
[104fd23]992#include "confdefs.h"
993
994int main() {
995
996; return 0; }
997EOF
[980552]998if { (eval echo configure:1044: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
[104fd23]999  rm -rf conftest*
1000  ac_cv_cxx_have_exceptions=yes
1001else
1002  echo "configure: failed program was:" >&5
1003  cat conftest.$ac_ext >&5
1004  rm -rf conftest*
1005  ac_cv_cxx_have_exceptions=no
1006fi
1007rm -f conftest*
1008
1009fi
1010
1011echo "$ac_t""${ac_cv_cxx_have_exceptions}" 1>&6
[fc7220]1012CXXFLAGS=$tmp_flags
1013if test "${ac_cv_cxx_have_exceptions}" = yes; then
[29bf6a]1014CXXFLAGS="$CXXFLAGS -fno-exceptions"
[104fd23]1015fi
1016
[fc7220]1017
[d3ff79]1018ac_ext=C
1019# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1020ac_cpp='$CXXCPP $CPPFLAGS'
1021ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1022ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1023cross_compiling=$ac_cv_prog_cxx_cross
1024
[104fd23]1025
[1a80b4]1026  fi
1027  CXXTEMPLFLAGS="-fno-implicit-templates"
[fc7220]1028
1029
[1a80b4]1030else
1031  CXXTEMPFLAGS=""
1032fi
1033
[c7bbf3]1034
[1a80b4]1035trap '' 1 2 15
1036cat > confcache <<\EOF
1037# This file is a shell script that caches the results of configure
1038# tests run on this system so they can be shared between configure
1039# scripts and configure runs.  It is not useful on other systems.
1040# If it contains results you don't want to keep, you may remove or edit it.
1041#
1042# By default, configure uses ./config.cache as the cache file,
1043# creating it if it does not exist already.  You can give configure
1044# the --cache-file=FILE option to use a different cache file; that is
1045# what configure does when it calls configure scripts in
1046# subdirectories, so they share the cache.
1047# Giving --cache-file=/dev/null disables caching, for debugging configure.
1048# config.status only pays attention to the cache file if you give it the
1049# --recheck option to rerun configure.
1050#
1051EOF
[104fd23]1052# The following way of writing the cache mishandles newlines in values,
1053# but we know of no workaround that is simple, portable, and efficient.
1054# So, don't put newlines in cache variables' values.
[1a80b4]1055# Ultrix sh set writes to stderr and can't be redirected directly,
1056# and sets the high bit in the cache file unless we assign to the vars.
1057(set) 2>&1 |
[104fd23]1058  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1059  *ac_space=\ *)
1060    # `set' does not quote correctly, so add quotes (double-quote substitution
1061    # turns \\\\ into \\, and sed turns \\ into \).
1062    sed -n \
1063      -e "s/'/'\\\\''/g" \
1064      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1065    ;;
1066  *)
1067    # `set' quotes correctly as required by POSIX, so do not add quotes.
1068    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1069    ;;
1070  esac >> confcache
[1a80b4]1071if cmp -s $cache_file confcache; then
1072  :
1073else
1074  if test -w $cache_file; then
1075    echo "updating cache $cache_file"
1076    cat confcache > $cache_file
1077  else
1078    echo "not updating unwritable cache $cache_file"
1079  fi
1080fi
1081rm -f confcache
1082
1083trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1084
1085test "x$prefix" = xNONE && prefix=$ac_default_prefix
1086# Let make expand exec_prefix.
1087test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1088
1089# Any assignment to VPATH causes Sun make to only execute
1090# the first set of double-colon rules, so remove it if not needed.
1091# If there is a colon in the path, we need to keep it.
1092if test "x$srcdir" = x.; then
1093  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
1094fi
1095
1096trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1097
[980552]1098DEFS=-DHAVE_CONFIG_H
[1a80b4]1099
1100# Without the "./", some shells look in PATH for config.status.
1101: ${CONFIG_STATUS=./config.status}
1102
1103echo creating $CONFIG_STATUS
1104rm -f $CONFIG_STATUS
1105cat > $CONFIG_STATUS <<EOF
1106#! /bin/sh
1107# Generated automatically by configure.
1108# Run this file to recreate the current configuration.
1109# This directory was configured as follows,
1110# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1111#
1112# $0 $ac_configure_args
1113#
1114# Compiler output produced by configure, useful for debugging
1115# configure, is in ./config.log if it exists.
1116
1117ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1118for ac_option
1119do
1120  case "\$ac_option" in
1121  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1122    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1123    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1124  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
[104fd23]1125    echo "$CONFIG_STATUS generated by autoconf version 2.13"
[1a80b4]1126    exit 0 ;;
1127  -help | --help | --hel | --he | --h)
1128    echo "\$ac_cs_usage"; exit 0 ;;
1129  *) echo "\$ac_cs_usage"; exit 1 ;;
1130  esac
1131done
1132
1133ac_given_srcdir=$srcdir
1134
[980552]1135trap 'rm -fr `echo "Makefile factor/version.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
[1a80b4]1136EOF
1137cat >> $CONFIG_STATUS <<EOF
1138
1139# Protect against being on the right side of a sed subst in config.status.
1140sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1141 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1142$ac_vpsub
1143$extrasub
[104fd23]1144s%@SHELL@%$SHELL%g
[1a80b4]1145s%@CFLAGS@%$CFLAGS%g
1146s%@CPPFLAGS@%$CPPFLAGS%g
1147s%@CXXFLAGS@%$CXXFLAGS%g
[104fd23]1148s%@FFLAGS@%$FFLAGS%g
[1a80b4]1149s%@DEFS@%$DEFS%g
1150s%@LDFLAGS@%$LDFLAGS%g
1151s%@LIBS@%$LIBS%g
1152s%@exec_prefix@%$exec_prefix%g
1153s%@prefix@%$prefix%g
1154s%@program_transform_name@%$program_transform_name%g
1155s%@bindir@%$bindir%g
1156s%@sbindir@%$sbindir%g
1157s%@libexecdir@%$libexecdir%g
1158s%@datadir@%$datadir%g
1159s%@sysconfdir@%$sysconfdir%g
1160s%@sharedstatedir@%$sharedstatedir%g
1161s%@localstatedir@%$localstatedir%g
1162s%@libdir@%$libdir%g
1163s%@includedir@%$includedir%g
1164s%@oldincludedir@%$oldincludedir%g
1165s%@infodir@%$infodir%g
1166s%@mandir@%$mandir%g
[3e55bc]1167s%@libfac_name@%$libfac_name%g
1168s%@libfac_version@%$libfac_version%g
1169s%@libfac_date@%$libfac_date%g
1170s%@libfac_author@%$libfac_author%g
[1a80b4]1171s%@libfac@%$libfac%g
1172s%@libfac_g@%$libfac_g%g
1173s%@libsingfac@%$libsingfac%g
1174s%@libsingfac_g@%$libsingfac_g%g
1175s%@factorH@%$factorH%g
1176s%@targetname@%$targetname%g
1177s%@CXX@%$CXX%g
1178s%@CXXCPP@%$CXXCPP%g
1179s%@SET_MAKE@%$SET_MAKE%g
1180s%@RANLIB@%$RANLIB%g
1181s%@AR@%$AR%g
1182s%@CXXTEMPLFLAGS@%$CXXTEMPLFLAGS%g
1183
1184CEOF
1185EOF
[104fd23]1186
1187cat >> $CONFIG_STATUS <<\EOF
1188
1189# Split the substitutions into bite-sized pieces for seds with
1190# small command number limits, like on Digital OSF/1 and HP-UX.
1191ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1192ac_file=1 # Number of current file.
1193ac_beg=1 # First line for current file.
1194ac_end=$ac_max_sed_cmds # Line after last line for current file.
1195ac_more_lines=:
1196ac_sed_cmds=""
1197while $ac_more_lines; do
1198  if test $ac_beg -gt 1; then
1199    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1200  else
1201    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1202  fi
1203  if test ! -s conftest.s$ac_file; then
1204    ac_more_lines=false
1205    rm -f conftest.s$ac_file
1206  else
1207    if test -z "$ac_sed_cmds"; then
1208      ac_sed_cmds="sed -f conftest.s$ac_file"
1209    else
1210      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1211    fi
1212    ac_file=`expr $ac_file + 1`
1213    ac_beg=$ac_end
1214    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1215  fi
1216done
1217if test -z "$ac_sed_cmds"; then
1218  ac_sed_cmds=cat
1219fi
1220EOF
1221
[1a80b4]1222cat >> $CONFIG_STATUS <<EOF
1223
1224CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1225EOF
1226cat >> $CONFIG_STATUS <<\EOF
1227for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
[104fd23]1228  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
[1a80b4]1229  case "$ac_file" in
[104fd23]1230  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
[1a80b4]1231       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1232  *) ac_file_in="${ac_file}.in" ;;
1233  esac
1234
[104fd23]1235  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
[1a80b4]1236
1237  # Remove last slash and all that follows it.  Not all systems have dirname.
1238  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1239  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1240    # The file is in a subdirectory.
1241    test ! -d "$ac_dir" && mkdir "$ac_dir"
1242    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1243    # A "../" for each directory in $ac_dir_suffix.
1244    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1245  else
1246    ac_dir_suffix= ac_dots=
1247  fi
1248
1249  case "$ac_given_srcdir" in
1250  .)  srcdir=.
1251      if test -z "$ac_dots"; then top_srcdir=.
1252      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1253  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1254  *) # Relative path.
1255    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1256    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1257  esac
1258
[104fd23]1259
[1a80b4]1260  echo creating "$ac_file"
1261  rm -f "$ac_file"
1262  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1263  case "$ac_file" in
1264  *Makefile*) ac_comsub="1i\\
1265# $configure_input" ;;
1266  *) ac_comsub= ;;
1267  esac
[104fd23]1268
1269  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
[1a80b4]1270  sed -e "$ac_comsub
1271s%@configure_input@%$configure_input%g
1272s%@srcdir@%$srcdir%g
1273s%@top_srcdir@%$top_srcdir%g
[104fd23]1274" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
[1a80b4]1275fi; done
[104fd23]1276rm -f conftest.s*
[1a80b4]1277
[980552]1278# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1279# NAME is the cpp macro being defined and VALUE is the value it is being given.
1280#
1281# ac_d sets the value in "#define NAME VALUE" lines.
1282ac_dA='s%^\([   ]*\)#\([        ]*define[       ][      ]*\)'
1283ac_dB='\([      ][      ]*\)[^  ]*%\1#\2'
1284ac_dC='\3'
1285ac_dD='%g'
1286# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1287ac_uA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1288ac_uB='\([      ]\)%\1#\2define\3'
1289ac_uC=' '
1290ac_uD='\4%g'
1291# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1292ac_eA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1293ac_eB='$%\1#\2define\3'
1294ac_eC=' '
1295ac_eD='%g'
1296
1297if test "${CONFIG_HEADERS+set}" != set; then
1298EOF
1299cat >> $CONFIG_STATUS <<EOF
1300  CONFIG_HEADERS="factor/version.h"
1301EOF
1302cat >> $CONFIG_STATUS <<\EOF
1303fi
1304for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1305  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1306  case "$ac_file" in
1307  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1308       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1309  *) ac_file_in="${ac_file}.in" ;;
1310  esac
1311
1312  echo creating $ac_file
1313
1314  rm -f conftest.frag conftest.in conftest.out
1315  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1316  cat $ac_file_inputs > conftest.in
1317
1318EOF
1319
1320# Transform confdefs.h into a sed script conftest.vals that substitutes
1321# the proper values into config.h.in to produce config.h.  And first:
1322# Protect against being on the right side of a sed subst in config.status.
1323# Protect against being in an unquoted here document in config.status.
1324rm -f conftest.vals
1325cat > conftest.hdr <<\EOF
1326s/[\\&%]/\\&/g
1327s%[\\$`]%\\&%g
1328s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1329s%ac_d%ac_u%gp
1330s%ac_u%ac_e%gp
1331EOF
1332sed -n -f conftest.hdr confdefs.h > conftest.vals
1333rm -f conftest.hdr
1334
1335# This sed command replaces #undef with comments.  This is necessary, for
1336# example, in the case of _POSIX_SOURCE, which is predefined and required
1337# on some systems where configure will not decide to define it.
1338cat >> conftest.vals <<\EOF
1339s%^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1340EOF
1341
1342# Break up conftest.vals because some shells have a limit on
1343# the size of here documents, and old seds have small limits too.
1344
1345rm -f conftest.tail
1346while :
1347do
1348  ac_lines=`grep -c . conftest.vals`
1349  # grep -c gives empty output for an empty file on some AIX systems.
1350  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1351  # Write a limited-size here document to conftest.frag.
1352  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1353  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1354  echo 'CEOF
1355  sed -f conftest.frag conftest.in > conftest.out
1356  rm -f conftest.in
1357  mv conftest.out conftest.in
1358' >> $CONFIG_STATUS
1359  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1360  rm -f conftest.vals
1361  mv conftest.tail conftest.vals
1362done
1363rm -f conftest.vals
1364
1365cat >> $CONFIG_STATUS <<\EOF
1366  rm -f conftest.frag conftest.h
1367  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1368  cat conftest.in >> conftest.h
1369  rm -f conftest.in
1370  if cmp -s $ac_file conftest.h 2>/dev/null; then
1371    echo "$ac_file is unchanged"
1372    rm -f conftest.h
1373  else
1374    # Remove last slash and all that follows it.  Not all systems have dirname.
1375      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1376      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1377      # The file is in a subdirectory.
1378      test ! -d "$ac_dir" && mkdir "$ac_dir"
1379    fi
1380    rm -f $ac_file
1381    mv conftest.h $ac_file
1382  fi
1383fi; done
1384
[104fd23]1385EOF
1386cat >> $CONFIG_STATUS <<EOF
[1a80b4]1387
[104fd23]1388EOF
1389cat >> $CONFIG_STATUS <<\EOF
[1a80b4]1390
1391exit 0
1392EOF
1393chmod +x $CONFIG_STATUS
1394rm -fr confdefs* $ac_clean_files
1395test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1396
Note: See TracBrowser for help on using the repository browser.